# Highly Confidential and Proprietary Zoox Information. Copyright Zoox, Inc.

# Example faults for example component
component: "TestComponent"
proto_imports:
  - "base/diag/core/tests/test.proto"
metric: "TestMetric"
namespace: "zoox::diag"
instances:
  TestInstanceA: 1
  TestInstanceB: 2
faults:
  - id: 1
    name: Empty
    severity: WARNING
    description: EmptyFault description
  - id: 2
    name: Example
    severity: ERROR
    description: ExampleFault description
    freeze_frame: ExampleFF
  - id: 3
    name: TestInfo
    severity: INFO
    description: INFO fault for testing
  - id: 4
    name: TestWarning
    severity: WARNING
    description: WARNING fault for testing
  - id: 5
    name: TestError
    severity: ERROR
    description: ERROR fault for testing
    troubleshooting_steps: Check Foo, Bar and Baz
  - id: 6
    name: MutExTestInfo
    severity: INFO
    description: INFO fault for testing
    freeze_frame: ExampleFF
  - id: 7
    name: MutExTestWarning
    severity: WARNING
    description: WARNING fault for testing
    freeze_frame: ExampleFF
  - id: 8
    name: MutExTestError
    severity: ERROR
    description: ERROR fault for testing
    freeze_frame: ExampleFF
  - id: 9
    name: ReproducibleExample
    severity: ERROR
    description: Reproducible ExampleFault description
    reproducible: true
  - id: 10
    name: NonReproducibleExample
    severity: ERROR
    description: Non reproducible ExampleFault description
    reproducible: false
  - id: 11
    name: DeprecatedExample
    severity: ERROR
    deprecated: true
    description: Deprecated ExampleFault description
  - id: 12
    name: NonDeprecatedExample
    severity: ERROR
    deprecated: false
    description: Non deprecated ExampleFault description
  - id: 13
    name: TriggersNoGoExample
    severity: ERROR
    description: Triggers NoGo ExampleFault description
    triggers_nogo: true
  - id: 14
    name: NonTriggersNoGoExample
    severity: ERROR
    description: Non triggers NoGo ExampleFault description
    triggers_nogo: false
  - id: 15
    name: DefaultRequiresServiceExample
    severity: ERROR
    description: Default requires_service ExampleFault description
  - id: 16
    name: RequiresServiceFalseExample
    severity: ERROR
    description: False requires_service ExampleFault description
    requires_service: false
  - id: 17
    name: RequiresServiceTrueExample
    severity: ERROR
    description: True requires_service ExampleFault description
    requires_service: true
